%define name SportsTracker
%define version 2.3.0
%define release %mkrel 1

Summary: Application to record sporting activities
Name: %name
Version: %version
Release: %release
License: GPL
Group: Toys
URL: http://www.saring.de/sportstracker/
Source: http://dl.sourceforge.net/sourceforge/sportstracker/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk-sharp2
BuildRequires: glade-sharp2
BuildRequires: ImageMagick
BuildRequires: desktop-file-utils
Requires: mono
BuildArch: noarch

%description
SportsTracker is an application for people which want to record 
their sporting activities. It is not bound to a specific kind of 
sport, the user can create categories for all sport types which 
are endurance related, such as cycling, running or swimming.

%prep
%setup -q

%build
%make 

%check
make test

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p %buildroot%_datadir/applications %buildroot%_datadir/pixmaps
%__make PREFIX="$RPM_BUILD_ROOT"/%{_usr} DESTDIR="$RPM_BUILD_ROOT" PREFIX_I18N="$RPM_BUILD_ROOT"/%{_datadir}/locale install STARTER_DIR=%buildroot%_datadir/applications PIXMAP_DIR=%buildroot%_datadir/pixmaps
install -m 755 -d %buildroot%{_menudir}
mkdir -p %buildroot%_datadir/%name
mv %buildroot%_bindir/* %buildroot%_datadir/%name
cat << EOF > %buildroot%_bindir/%name
#!/bin/sh
mono %_datadir/%name/%name.exe $*
EOF
cat << EOF > %buildroot/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}"\
needs="x11"\
section="System/Monitoring"\
title="SportsTracker"\
icon="%name.png" \
longtitle="Record sporting activities" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Monitoring;Monitor" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %buildroot{%_liconsdir,%_miconsdir}
convert -scale 32 resource/icons/st-logo.png %buildroot%_iconsdir/%name.png
convert -scale 16 resource/icons/st-logo.png %buildroot%_miconsdir/%name.png
cp resource/icons/st-logo.png %buildroot%_liconsdir/%name.png


%find_lang sportstracker


%clean
rm -rf "$RPM_BUILD_ROOT"

%post
%update_menus

%postun
%clean_menus

%files -f sportstracker.lang
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%name
%{_menudir}/%{name}
%_datadir/applications/*
%_datadir/pixmaps/*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%doc docs/{CHANGES.txt,I18N.txt,LICENSE.txt,README.txt,TODO.txt} 

%changelog
* Mon Sep 18 2006 Gtz Waschk <waschk@mandriva.org> 2.3.0-1mdv2007.0
- fix check
- New version 2.3.0

* Mon Aug 21 2006 Gtz Waschk <waschk@mandriva.org> 2.2.0-1mdv2007.0
- update file list
- fix installation
- New release 2.2.0

* Fri Jul 14 2006 Gtz Waschk <waschk@mandriva.org> 2.1.0-1mdv2007.0
- xdg menu
- New release 2.1.0

* Tue Jun 06 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-1mdv2007.0
- New release 2.0.0

* Sun Mar 12 2006 Gtz Waschk <waschk@mandriva.org> 1.2.1-1mdk
- drop patch
- New release 1.2.1

* Wed Mar  1 2006 Gtz Waschk <waschk@mandriva.org> 1.2.0-4mdk
- workaround for upstream bug #77376

* Fri Jan 27 2006 Gtz Waschk <waschk@mandriva.org> 1.2.0-3mdk
- make test

* Thu Jan 26 2006 Gtz Waschk <waschk@mandriva.org> 1.2.0-2mdk
- fix buildrequires

* Thu Jan 26 2006 Gtz Waschk <waschk@mandriva.org> 1.2.0-1mdk
- spec fixes
- create wrapper script
- New release 1.2.0

* Fri Jan 13 2006 Gtz Waschk <waschk@mandriva.org> 1.0.1-5mdk
- noarch

* Fri Jan 13 2006 Gtz Waschk <waschk@mandriva.org> 1.0.1-4mdk
- fix deps

* Mon Dec 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.1-3mdk
- %%mkrel
- Fix BuildRequires

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 1.0.1-2mdk
- rebuild for new gtk-sharp2

* Tue Aug 16 2005 Emmanuel Blindauer <mdk@agat.net> 1.0.1-1mdk
- new version.

* Thu Feb 10 2005 Emmanuel Blindauer <mdk@agat.net> 0.6.3-1mdk
- new version.

* Mon Aug  9 2004 Emmanuel Blindauer <mdk@agat.net> 0.6.0-1mdk
- Initial build.


